<app-return-previous></app-return-previous>
<div class="customer">
  <div class="customer__wraper">
    <img class="customer__profilImg" src="http://localhost:1337{{ customer.photo }}" alt="{{ customer.firstName }} {{ customer.lastName }}">
    <div class="customer__infos">
      <h2><span>{{ customer.lastName }}</span> {{ customer.firstName }}</h2>
      <p class="customer__pro">{{ athlete.isPro ? 'Pro' : 'Amateur'}}</p>
      <p class="customer__numCompet">Nombre de compétitions: <span>{{ competNumber }}</span></p>
    </div>
    <div class="ranking">
      <h2 class="ranking__title">Classement annuel</h2>
      <div class="ranking__wrapper">
        <div class="ranking__names">
          <p>Classement</p>
          <p>Temps</p>
          <p>Compétition</p>
        </div>
        <div class="ranking__item" *ngFor="let ranking of rankings">
          <p>{{ ranking.rank === 1 ? ranking.rank+' er' : ranking.rank+' ème' }}</p>
          <p>{{ ranking.timer.toString().substring(0,5) }}</p>
          <p><a [routerLink]="['/competition', ranking.competition?.id]">{{ ranking.competition?.name }}</a></p>
        </div>
      </div>
    </div>
    <div class="customer__boat">
      <h2 class="customer__boatTitle">Bateau</h2>
      <div class="customer__boatContainer">
        <img src="../../assets/icons/boat.png" alt="Icone de bateau">
        <p>{{ athlete.boat }}</p>
      </div>
    </div>
  </div>
</div>
